Main Page | Modules | Class Hierarchy | Alphabetical List | Class List | File List | Class Members | Related Pages

# SoFloatElement Class Reference
[Elements (mostly for internal use)]

`#include <Inventor/elements/SoFloatElement.h>`

Inheritance diagram for SoFloatElement:

List of all members.

## Detailed Description

SoFloatElement is an abstract base class for elements that consists of a single float value.

## Public Member Functions
virtual void | init (SoState *state)
virtual SbBool | matches (const SoElement *element) const
virtual SoElement * | copyMatchInfo (void) const
virtual void | print (FILE *file) const
virtual void | setElt (float value)
## Static Public Member Functions
void | initClass (void)
void | set (const int stackIndex, SoState *const state, SoNode *const node, const float value)
void | set (const int stackIndex, SoState *const state, const float value)
float | get (const int stackIndex, SoState *const state)
## Protected Member Functions
virtual | ~SoFloatElement ()
## Protected Attributes
float | data

## Constructor & Destructor Documentation

SoFloatElement::~SoFloatElement | ( | void |  | ) | `[protected, virtual]`

| Destructor.

## Member Function Documentation

void SoFloatElement::initClass | ( | void |  | ) | `[static]`

| Initialize relevant common data for all instances, like the type system. Reimplemented from SoElement. Reimplemented in SoGLLineWidthElement, SoGLPointSizeElement, SoLineWidthElement, SoPointSizeElement, and SoListenerGainElement.

void SoFloatElement::init | ( | SoState * | state | ) | `[virtual]`

| This function initializes the element type in the given SoState. It is called for the first element of each enabled element type in SoState objects. Reimplemented from SoElement. Reimplemented in SoGLLineWidthElement, SoGLPointSizeElement, SoLineWidthElement, SoPointSizeElement, and SoListenerGainElement.

SbBool SoFloatElement::matches | ( | const SoElement * | element | ) | const`[virtual]`

| This function returns `TRUE` is the element matches another element (of the same class), with respect to cache validity. If the application programmer's extension element has a matches() function, it should also have a copyMatchInfo() function. Implements SoElement.

SoElement * SoFloatElement::copyMatchInfo | ( | void |  | ) | const`[virtual]`

| This function creates a copy of the element that contains enough information to enable the matches() function to work. Used to help with scenegraph traversal caching operations. Implements SoElement.

void SoFloatElement::print | ( | FILE * | file | ) | const`[virtual]`

| This function is for printing element information, and is used mostly for debugging purposes. Reimplemented from SoElement.

void SoFloatElement::set | ( | const int | index,
|  | SoState *const | state,
|  | SoNode *const | node,
|  | const float | value
| ) | `[static]`

| Static method for setting the value of an element in the given state at the given stack index.

void SoFloatElement::set | ( | const int | stackIndex,
|  | SoState *const | state,
|  | const float | value
| ) | `[static]`

| Static method for setting the value of an element in the given state at the given stackIndex.

float SoFloatElement::get | ( | const int | index,
|  | SoState *const | state
| ) | `[static]`

| Static method to fetch the value of the element of this type from the given state at the given stack index.

void SoFloatElement::setElt | ( | float | value | ) | `[virtual]`

| Set element value. Reimplemented in SoGLLineWidthElement, and SoGLPointSizeElement.

## Member Data Documentation

float SoFloatElement::data`[protected]`

| The element's value.

The documentation for this class was generated from the following files:

- SoFloatElement.h
- SoFloatElement.cpp